curl --request GET \
--url https://api.honeycomb.io/1/maps/dependencies/requests/{requestId} \
--header 'X-Honeycomb-Team: <api-key>'import requests
url = "https://api.honeycomb.io/1/maps/dependencies/requests/{requestId}"
headers = {"X-Honeycomb-Team": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Honeycomb-Team': '<api-key>'}};
fetch('https://api.honeycomb.io/1/maps/dependencies/requests/{requestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "abc123",
"status": "ready",
"dependencies": [
{
"parent_node": {
"name": "user-service",
"type": "service"
},
"child_node": {
"name": "user-service",
"type": "service"
},
"call_count": 142
}
],
"links": {
"next": "/2/teams/my-team/api-keys?page[after]=3025fa645ad1100d&page[size]=10"
}
}{
"status": 400,
"type": "https://api.honeycomb.io/problems/unparseable",
"title": "The request body could not be parsed.",
"error": "invalid gzip data"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "something went wrong!",
"status": 422,
"type": "https://api.honeycomb.io/problems/validation-failed",
"title": "The provided input is invalid.",
"detail": "<string>",
"instance": "<string>",
"type_detail": [
{
"field": "<string>",
"code": "invalid",
"description": "<string>"
}
]
}{
"error": "Rate Limited"
}{
"error": "<string>"
}Get Map Dependencies
Get the dependencies for a previously created Map Dependencies Request. Note: This endpoint returns a single page of results and uses pagination. Even if you specified a large limit in the initial POST request, you will receive up to the page size limit per request and must use the pagination links to retrieve additional results.
Authorizations
Authenticate using a Honeycomb Configuration Key.
Pass the Token in the X-Honeycomb-Team header:
X-Honeycomb-Team: 1234567890123456789012
If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.
To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.
Path Parameters
The unique identifier (ID) of a Map Dependencies Request.
Query Parameters
The string value of the next attribute from a previous result page.
The cursor value must be empty or omitted for the first request of a cursor-paginated query.
The number of entries to include per response. Maximum value is 100.
1 <= x <= 100Response
Success
Response containing map dependencies data.
Unique identifier for the Map Dependency Request.
"abc123"
Status of the Map Dependency Request.
pending, ready, error "ready"
Array of service dependencies. Null when status is "pending" or "error".
Show child attributes
Show child attributes
Links to iterate through the pages of results.
Show child attributes
Show child attributes